Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.msmqadapter.webservice
Class ReceiveMSMQMessageOutput

    java.lang.Object
      com.stc.connector.msmqadapter.webservice.ReceiveMSMQMessageOutput

All Implemented Interfaces:
  com.stc.connector.persistence.bpel.PersistableData

    public class ReceiveMSMQMessageOutput

extends java.lang.Object
implements com.stc.connector.persistence.bpel.PersistableData

This class is the ReceiveMSMQMessageOutput.

Constructor Summary
`ReceiveMSMQMessageOutput()` Creates a new instance of ReceiveMSMQMessageOutput

Method Summary
`byte[]` | `getReceiveMSMQMessageOutput()` Gets the ReceiveMSMQMessageOutput.
`boolean` | `hasReceiveMSMQMessageOutput()` Checks whether the ReceiveMSMQMessageOutput properety has been set.
`void` | `persist(com.stc.connector.persistence.bpel.DataOutput dout)` Persists this message.
`void` | `restore(com.stc.connector.persistence.bpel.DataInput din)` Restores this message.
`void` | `setReceiveMSMQMessageOutput(byte[] newReceiveMSMQMessageOutput)` Sets the ReceiveMSMQMessageOutput.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReceiveMSMQMessageOutput

    public ReceiveMSMQMessageOutput()

  Creates a new instance of ReceiveMSMQMessageOutput

Method Detail

### getReceiveMSMQMessageOutput

    public byte[] getReceiveMSMQMessageOutput()

  Gets the ReceiveMSMQMessageOutput.

  Returns:
    The ReceiveMSMQMessageOutput.

### setReceiveMSMQMessageOutput

    public void setReceiveMSMQMessageOutput(byte[] newReceiveMSMQMessageOutput)

  Sets the ReceiveMSMQMessageOutput.

  Parameters:
    `newReceiveMSMQMessageOutput` - The new ReceiveMSMQMessageOutput.

### hasReceiveMSMQMessageOutput

    public boolean hasReceiveMSMQMessageOutput()

  Checks whether the ReceiveMSMQMessageOutput properety has been set.

  Returns:
    true if it was set or false if not.

### persist

    public void persist(com.stc.connector.persistence.bpel.DataOutput dout)
                 throws java.lang.Exception

  Persists this message.

  Specified by:
    `persist` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dout` - The DataOutput to which the Java Bean message is persisted.
  Throws:
    `java.lang.Exception` - upon error.

### restore

    public void restore(com.stc.connector.persistence.bpel.DataInput din)
                 throws java.lang.Exception

  Restores this message.

  Specified by:
    `restore` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dis` - The DataInput from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD